<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Class nl.naturalis.nba.api.Path</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class nl.naturalis.nba.api.Path";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Path.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class nl.naturalis.nba.api.Path" class="title">Uses of Class<br>nl.naturalis.nba.api.Path</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<h3>Uses of <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">nl.naturalis.nba.api</a> declared as <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SortField.</span><code><span class="memberNameLink"><a href="../SortField.html#SORT_FIELD_DOC">SORT_FIELD_DOC</a></span></code></th>
<td class="colLast">
<div class="block">The path to use if you explicitly do not want any sorting at all (in which
 case the documents will be sorted in the order in which they were indexed).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SortField.</span><code><span class="memberNameLink"><a href="../SortField.html#SORT_FIELD_SCORE">SORT_FIELD_SCORE</a></span></code></th>
<td class="colLast">
<div class="block">The path to use if you want to sort documents by score: &#34;_score&#34;.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> that return <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#append(java.lang.String)">append</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;path)</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> consisting of the elements of this
 <code>Path</code> plus the elements of the specified <code>Path</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#append(nl.naturalis.nba.api.Path)">append</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> consisting of the elements of this
 <code>Path</code> plus the elements of the specified <code>Path</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#element(int)">element</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the path element at the specified index as a new <code>Path</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#getField()">getField</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the field whose value .</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NoSuchFieldException.</span><code><span class="memberNameLink"><a href="../NoSuchFieldException.html#getFullPath()">getFullPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the path containing the erroneous element.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SortField.</span><code><span class="memberNameLink"><a href="../SortField.html#getPath()">getPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the path of the field on which to sort.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NoSuchFieldException.</span><code><span class="memberNameLink"><a href="../NoSuchFieldException.html#getPathElement()">getPathElement</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the path element that caused this exception to be thrown.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#getPurePath()">getPurePath</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> containing only the elements of this
 <code>Path</code> that are not array indices.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#replace(int,java.lang.String)">replace</a></span>&#8203;(int&nbsp;element,
       <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;newValue)</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> with the path element at the specified index
 replaced by the new element value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#shift()">shift</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> with the elements of this <code>Path</code> minus
 its first element.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> that return types with arguments of type <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QuerySpec.</span><code><span class="memberNameLink"><a href="../QuerySpec.html#getFields()">getFields</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the fields to return in the query response.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#append(nl.naturalis.nba.api.Path)">append</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Returns a new <code>Path</code> consisting of the elements of this
 <code>Path</code> plus the elements of the specified <code>Path</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Path.</span><code><span class="memberNameLink"><a href="../Path.html#compareTo(nl.naturalis.nba.api.Path)">compareTo</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;other)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#setField(nl.naturalis.nba.api.Path)">setField</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field)</code></th>
<td class="colLast">
<div class="block">Sets the field to which the condition applies.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Method parameters in <a href="../package-summary.html">nl.naturalis.nba.api</a> with type arguments of type <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QuerySpec.</span><code><span class="memberNameLink"><a href="../QuerySpec.html#setFields(java.util.List)">setFields</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&gt;&nbsp;fields)</code></th>
<td class="colLast">
<div class="block">Sets the fields to return in the query response.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../IllegalOperatorException.html#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator)">IllegalOperatorException</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
                        <a href="../ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../NoSuchFieldException.html#%3Cinit%3E(nl.naturalis.nba.api.Path)">NoSuchFieldException</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;path)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../NoSuchFieldException.html#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.Path)">NoSuchFieldException</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;path,
                    <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;element)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Path.html#%3Cinit%3E(nl.naturalis.nba.api.Path)">Path</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Copy constructor.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
              <a href="../ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.UnaryBooleanOperator,nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="../UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not,
              <a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
              <a href="../ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../SortField.html#%3Cinit%3E(nl.naturalis.nba.api.Path)">SortField</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;path)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../SortField.html#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.SortOrder)">SortField</a></span>&#8203;(<a href="../Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;path,
         <a href="../SortOrder.html" title="enum in nl.naturalis.nba.api">SortOrder</a>&nbsp;sortOrder)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Path.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
